--
-- clock_divider.vhd - Divide the clocks
--
-- Take in 50MHz (approx) and make 25MHz for VGA dot clock.
--

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;
use IEEE.NUMERIC_STD.ALL;

entity clock_divider is
  port
    (
    clk_50mhz : in  std_logic;
    clk_25mhz : out std_logic  -- VGA dot clock
    );
end clock_divider;

architecture behavior of clock_divider is

  signal clk_25mhz_int : std_logic := '0';

begin

  process ( clk_50mhz )
  begin
    if rising_edge(clk_50mhz) then
      clk_25mhz     <= clk_25mhz_int;
      clk_25mhz_int <= not clk_25mhz_int;
    end if;

  end process;

end behavior;
